
Redmine - Defect #11506

Versions that are not shared should not be assignable when selecting another project 

2012-07-25 10:49 - Jan from Planio www.plan.io

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed Affected version:  

Description

Steps to reproduce:

1. Create a project with a version that is not shared

2. Create an issue in that project with that target version

3. Update the issue, select a different project

4. Save

Not only is the Version still available in the dropdown, it is also still present after the issue has been saved resulting in an incoherent

state as there's no other way the version could have been set on that issue.

Associated revisions

Revision 10086 - 2012-07-27 21:36 - Jean-Philippe Lang

Versions that are not shared should not be assignable when selecting another project (#11506).

Revision 10087 - 2012-07-27 21:41 - Jean-Philippe Lang

Do not propose non-assignable version (#11506).

History

#1 - 2012-07-26 20:58 - Jean-Philippe Lang

- Status changed from New to Confirmed

#2 - 2012-07-27 21:47 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.1.0

- Resolution set to Fixed
